--------------------------------------------------------
-- Archivo creado  - domingo-abril-19-2015   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Package TablasMantenimiento
--------------------------------------------------------

CREATE OR REPLACE PACKAGE "CARTERAINVERSION_USER"."TABLASMANTENIMIENTO" AS
  
PROCEDURE ins_Cliente
(
  paramNombre				IN Cliente.Nombre%TYPE, 
  paramNIF					IN Cliente.NIF%TYPE,
  paramEmail  				IN Cliente.Email%TYPE,
  RSP						OUT NOCOPY VARCHAR2
);

PROCEDURE upd_Cliente 
(
  paramClienteiD		    IN Cliente.ClienteId%TYPE, 
  paramNombre				IN Cliente.Nombre%TYPE, 
  paramNIF					IN Cliente.NIF%TYPE, 
  paramEmail  				IN Cliente.Email%TYPE,
  RSP						OUT NOCOPY VARCHAR2
);


PROCEDURE del_Cliente 
( 
  paramClienteiD		    IN Cliente.ClienteId%TYPE, 
  RSP						OUT NOCOPY VARCHAR2
);

PROCEDURE ins_Cartera
(
  paramClienteId				IN Cartera.ClienteId%TYPE, 
  paramCarteraDescricion		IN Cartera.CarteraDescripcion%TYPE, 
  RSP							OUT NOCOPY VARCHAR2
);

PROCEDURE upd_Cartera 
(
  paramCarteraiD		    IN Cartera.CarteraId%TYPE, 
  paramClienteId		  	IN Cartera.ClienteId%TYPE, 
  paramCarteraDescricion	IN Cartera.CarteraDescripcion%TYPE, 
  RSP						OUT NOCOPY VARCHAR2
);

PROCEDURE del_Cartera 
( 
  paramCarteraiD		    IN Cartera.CarteraId%TYPE, 
  paramClienteId		  	IN Cartera.ClienteId%TYPE, 
  RSP						        OUT NOCOPY VARCHAR2
);

END TABLASMANTENIMIENTO;

/


