-- Conectado como SYS

spool Resultados_Instalacion_Test\01_Creacion_Tableespace.log;

/* Error SQL: ORA-01119: error in creating database 
file 'C:\oraclexe\app\oracle\oradata\XE\CarteraInversion.DBF'
ORA-27038: created file already exists
OSD-04010: <create> option specified, file already exists 

Para evitarlo utilizamos la palabra clave "reuse" en la creación.
https://community.oracle.com/thread/2404730
*/

DROP TABLESPACE CarteraInversion INCLUDING CONTENTS AND DATAFILES;

CREATE TABLESPACE CarteraInversion
  DATAFILE 'C:\oraclexe\app\oracle\oradata\XE\CarteraInversion.DBF'
  SIZE 50 M reuse
  AUTOEXTEND ON
	LOGGING ONLINE PERMANENT
	EXTENT MANAGEMENT LOCAL AUTOALLOCATE
	BLOCKSIZE 8 K
  SEGMENT SPACE MANAGEMENT AUTO;
  
spool off;
