--------------------------------------------------------
-- Archivo creado  - domingo-abril-19-2015   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Package TablasAuxiliares
--------------------------------------------------------

CREATE OR REPLACE PACKAGE "CARTERAINVERSION_USER"."TABLASAUXILIARES" AS
 
PROCEDURE ins_Mercado
(
  paramMercadoId 			IN Mercado.MercadoId%TYPE, 
  paramMercadoDescripcion 	IN Mercado.MercadoDescripcion%TYPE, 
  RSP						OUT NOCOPY VARCHAR2
);

PROCEDURE ins_Accion
(
  paramISINId 				IN Accion.ISINId%TYPE, 
  paramTicker   	 		IN Accion.Ticker%TYPE, 
  paramTickerDescripcion 	IN Accion.TickerDescripcion%TYPE, 
  paramMercadoId		 	IN Accion.MercadoId%TYPE, 
  RSP						OUT NOCOPY VARCHAR2
);

PROCEDURE ins_TipoOrden
(
  paramTipoOrdenId 				IN TipoOrden.TipoOrdenId%TYPE, 
  paramTipoOrdenDescripcion 	IN TipoOrden.TipoOrdenDescripcion%TYPE, 
  paramSignoTipoOrden 		    IN TipoOrden.SignoTipoOrden%TYPE, 
  RSP							OUT NOCOPY VARCHAR2
);

PROCEDURE ins_OrdenEstado
(
  paramEstadoId 				IN OrdenEstado.EstadoId%TYPE, 
  paramEstadoOrdenDescripcion 	IN OrdenEstado.EstadoOrdenDescripcion%TYPE, 
  RSP							OUT NOCOPY VARCHAR2
);

PROCEDURE ins_Trading
(
  paramTradingId 			IN Trading.TradingId%TYPE, 
  paramTradingDescripcion 	IN Trading.TradingDescripcion%TYPE, 
  RSP						OUT NOCOPY VARCHAR2
);

PROCEDURE ins_TipoOrigen
(
  paramTipoOrigenId 			IN TipoOrigen.TipoOrigenId%TYPE, 
  paramTipoOrigenDescripcion 	IN TipoOrigen.TipoOrigenDescripcion%TYPE, 
  RSP							OUT NOCOPY VARCHAR2
);

END TABLASAUXILIARES;

/


