create or replace PACKAGE CONSULTAS AS 

PROCEDURE Cons_1_Cartera_Cliente
(
  paramClienteId IN Cliente.ClienteId%TYPE, 
  paramFechaCierre IN AccionHistorico.FechaCierre%TYPE
) ;
    
PROCEDURE Cons_2_0_Clientes_Anual
(
  paramYear							IN NUMBER
) ;    
  
PROCEDURE Cons_2_1_Clientes_Anual
(
  paramYear							IN NUMBER,
  paramClienteId 					IN OUT Cliente.ClienteId%TYPE,
  paramNombre						OUT Cliente.Nombre%TYPE,
  paramTotalComprasCargadas			OUT NUMBER,
  paramTotalVentasCargadas			OUT NUMBER,
  paramTotalComprasEjecutadas		OUT NUMBER,
  paramTotalVentasEjecutadas		OUT NUMBER,
  paramImporteComprasEjec		    OUT NUMBER,
  paramValorMedioComprasEjec	  	OUT NUMBER,
  paramImporteVentasEjec		    OUT NUMBER,
  paramValorMedioVentasEjec	    	OUT NUMBER,
  paramTotalComprasCanceladas		OUT NUMBER,
  paramTotalVentasCanceladas		OUT NUMBER
);

PROCEDURE Cons_3_0_Acciones_Anual
(
	paramYear							IN NUMBER
);

PROCEDURE Cons_3_1_Acciones_Anual
(paramYear							IN NUMBER,
  paramISINId 						IN OUT Accion.ISINId%TYPE,
  paramTicker						OUT Accion.Ticker%TYPE,
  paramTickerDescripcion			OUT Accion.TickerDescripcion%TYPE,
  paramTotalComprasEjec				OUT NUMBER,
  paramValorComprasEjec				OUT NUMBER,
  paramValorMedioComprasEjec		OUT NUMBER,
  paramTotalVentasEjec				OUT NUMBER,
  paramValorVentasEjec				OUT NUMBER
);

PROCEDURE Cons_4_Top10Accion
(
  paramTop    in number default 10
);

END CONSULTAS;



/